Bug 1070352 (JON3-48) - Increase the limit of resources allowed to be used in a metric group chart
Summary: Increase the limit of resources allowed to be used in a metric group chart
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: JON3-48
Product: JBoss Operations Network
Classification: JBoss
Component: Monitoring -- Other, UI
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR01
: JON 3.3.0
Assignee: Mike Thompson
QA Contact: Matt Mahoney
URL:
Whiteboard:
Depends On: 702195
Blocks: JON3-57
TreeView+ depends on / blocked
 
Reported: 2014-02-26 16:24 UTC by Heiko W. Rupp
Modified: 2015-02-09 23:26 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-11 13:59:16 UTC
Type: Enhancement


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1069698 None None None Never
Red Hat Bugzilla 1069773 None None None Never
Red Hat One Jira Issue Tracker JON3-48 Major Closed Increase the limit of resources allowed to be used in a metric group chart [PRODMGT-474] 2015-02-09 23:26:23 UTC

Internal Links: 1069698 1069773

Description Heiko W. Rupp 2014-02-26 16:24:20 UTC
If a resource group contains more then 10 members (i.e. 11 applications), only 10 resources can be selected for charting at a time.

Users need to be able to generate reports which show the number of requests per context in a given period. This report is in the form of a chart that needs to include the number of requests for all web application context in the resource group even when there are more then 10.

Comment 1 Mike Thompson 2014-05-21 01:08:15 UTC
commit e77a5fb48029d8f3de801a5bc46fc0e5e02fcbbe
Author: Mike Thompson <mithomps@redhat.com>
Date:   Tue May 20 17:29:49 2014 -0700

    [BZ 1070352]  (JON3-48) Increase the limit of resources allowed to be used in a metric group chart. Increased from 20 to 50 subgraphs. If it goes higher than 50 then a warning message is displayed that some of graph may not be displayed.

For performance reasons, I didn't want to go higher than 50 as that implies the length of this operation is the max of the longest query in the 50 subqueries (theoretically).

Comment 5 Mike Thompson 2014-05-23 13:29:29 UTC
Testing Procedure:

1) Add a compatible group with more than 50 elements.
2) Navigate to the group Inventory Detail View
3) On Summary Tab click on a metric to display the multi-line graph
4) look for a Message displayed: "Some graphs will not appear because the number of graphs has exceeded the maximum of 50.

Comment 7 JBoss JIRA Server 2014-05-23 13:49:55 UTC
Heiko Rupp <hrupp@redhat.com> updated the status of jira JON3-48 to Resolved

Comment 9 Simeon Pinder 2014-07-31 15:49:45 UTC
Moving to ON_QA as available to test with brew build of DR01: https://brewweb.devel.redhat.com//buildinfo?buildID=373993

Comment 11 JBoss JIRA Server 2015-02-09 23:26:24 UTC
Larry O'Leary <loleary@redhat.com> updated the status of jira JON3-48 to Closed


Note You need to log in before you can comment on or make changes to this bug.